## Linux Game manager

Installer and launcher for accessible to the blind games that run natively in Linux.


## Dependencies

As the project grows, more dependencies will most likely be added. When LGM is launched, it will check to make sure it has the required dependencies for it to do the work of downloading and extracting the game. Note that because every distro has a different package manager, dependencies for games themselves will not be resolved. Please consult the game's documentation to find out what is needed for the game to run.


## FAQ


### Q: Why this project, can't everything just be dumped into Audiogame Manager?

The short answer is no. Audiogame-manager is built around using wine to play games. This means that most calls, including the launcher, killing the process, and in lots of cases the uninstaller are built around wine commands. In addition, the launch parser expects a wine path.

While exceptions could probably be added for some of the games, AGM is already at more than 2500 lines and will continue to grow as games are added. So, for the sake of developers, it is easier to focus on one thing, and hopefully do it well.


### Q: Why does game X not work on my system

Improper phase of the moon? You drew an imperfect circle when summoning the installer daemons? Your guess is as good as mine.

In all seriousness, there are so many different configurations, computers, and distros out there, it is really difficult to give a detailed reason to the exact problem you are having. The best advice I can give is check your game's documentation for dependencies, and your distro's documentation for people who have had similar problems.


## Q: I installed a game from Desktop or Downloads, where did it go?

LGM moves games into place when installing them. So the game can be found in ~/.local/games/. This is to save disk space and not have the game in 2 places at once.


## What are the differences in linux-game-manager and audiogame-manager?

The difference in [audiogame-manager](https://git.stormux.org/storm/audiogame-manager) and linux-game-manager is, linux-game-manager focuses on setting up games that are native to Linux while audiogame-manager focuses on getting Windows based games working in wine. Although the end result looks the same to the end user, lots of things are different under the hood.

## Supporting the Project

If you want to support this and other Stormux projects, please check out the [Patreon](https://patreon.com/stormux).
